Gtk_Text(3)

NAME - Gtk_Text

HEADER REQUIRED
#include <gtk--/text.h&gt;>

BASE CLASSES
Gtk_Editable(3)

PROPERTIES

text_area
    Type: GdkWindow*

hadj
    Type: GtkAdjustment*

vadj
    Type: GtkAdjustment*

gc
    Type: GdkGC*

line_wrap_bitmap
    Type: GdkPixmap*

line_arrow_bitmap
    Type: GdkPixmap*

     .IP

PUBLIC MEMBER INDEX
    Gtk_Text( Gtk_Adjustment &hadj, Gtk_Adjustment &vadj);
    Gtk_Text(GtkText *castitem);
    Gtk_Text();
    ~Gtk_Text();
    void  set_word_wrap(bool word_wrap);
    void  set_line_wrap(bool line_wrap);
    void  set_adjustments( Gtk_Adjustment &hadj, Gtk_Adjustment &vadj);
    const Gtk_Adjustment*  get_hadjustment();
    const Gtk_Adjustment*  get_vadjustment();
    void  set_point(guint index);
    guint  get_point() const;
    guint  get_length() const;
    void  freeze();
    void  thaw();
    void  insert(const Gdk_Font &font, const Gdk_Color &fore, const Gdk_Color &back, const _gtk_string &chars, gint length);
    gint  backward_delete(guint nchars);
    gint  forward_delete(guint nchars);
    GtkText*  gtkobj();
    const GtkText*  gtkobj() const;
    static bool  isGtkText(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkText  BaseObjectType;
    typedef GtkTextClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_ObjectHandle  hadjustment_, vadjustment_;

PRIVATE MEMBER INDEX
    static CppClassType  text_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS